Subject: Re: [PATCH] bisect: error out when given any good rev that is not an ancestor of the bad rev

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Jun 2008 18:13:16 -0700

Christian Couder <[email-masked]> writes:

> Another option is to introduce a switch to "git bisect start", 
> perhaps --strict, to please people who always want to use good revs that 
> are ancestor of the bad revs, so they get a nice error when this is not the 
> case.

I do not see much niceness value to such an option, though.  I think such
a switch is going the opposite way from improving usability.

You cannot bisect the history with such a draconian switch when you learn
from somebody that 'maint' is Ok but 'master' is broken, and you already
know it is a regression somewhere introduced in 'master', because you know
you did _not_ fix it (or at least you do not remember fixing it) only for
'maint'.